Page MenuHomePhabricator

[Bug] Undoing wikibase edits via API is no longer possible
Closed, ResolvedPublic1 Story Points

Description

Reported onwiki @ https://www.wikidata.org/w/index.php?title=Wikidata:Contact_the_development_team&diff=221474141&oldid=221457724

A change made to core https://github.com/wikimedia/mediawiki/commit/2513086ec16150431cc9a62aaf6f09711f838c46#diff-6f2c5a046a3c34fcf75412e444924f55 means that undoing wikibase edits is no longer possible.
The related task for the above change is https://phabricator.wikimedia.org/T96382

Either we need to enable a way of undoing using the edit api module OR create a new way to undo changes in wikibase.

The first probably makes more sense.

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Jun 8 2015, 11:22 AM
Addshore raised the priority of this task from to Needs Triage.
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 11:22 AM
Addshore set Security to None.Jun 8 2015, 11:24 AM
Addshore added subscribers: Lydia_Pintscher, aude.
daniel moved this task from incoming to ready to go on the Wikidata board.Jun 8 2015, 12:58 PM
daniel awarded a token.Jun 8 2015, 2:16 PM
Bugreporter triaged this task as High priority.Jun 8 2015, 2:20 PM
Bugreporter added a subscriber: Bugreporter.
Addshore updated the task description. (Show Details)Jun 8 2015, 5:57 PM
Pasleim added a subscriber: Pasleim.Jun 8 2015, 9:11 PM
Lydia_Pintscher renamed this task from Undoing wikibase edits via API is no longer possible to [Bug] Undoing wikibase edits via API is no longer possible.Aug 13 2015, 8:11 PM
Lydia_Pintscher added a project: Regression.

Change 231416 had a related patch set uploaded (by Aude):
Allow undo via ApiEditPage for all content models

https://gerrit.wikimedia.org/r/231416

aude claimed this task.Aug 13 2015, 8:39 PM
aude moved this task from Backlog to Review on the Wikidata-Sprint-2015-08-11 board.
daniel closed this task as Resolved.Nov 11 2015, 8:03 PM
daniel added a subscriber: daniel.

Change 231416 merged by jenkins-bot:
Allow undo via ApiEditPage for all content models

https://gerrit.wikimedia.org/r/231416